# Uses of Class
org.eclipse.swt.graphics.RGB

Packages that use RGB
Package
Description
org.eclipse.rap.rwt.remote
org.eclipse.swt.graphics
org.eclipse.swt.widgets

## Uses of RGB in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote that return RGB
Modifier and Type
Method
Description
`static RGB`
JsonMapping.`readRGB(JsonValue value)`
Returns an instance of RGB for the given JSON representation.
Methods in org.eclipse.rap.rwt.remote with parameters of type RGB
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(RGB rgb)`
Returns the JSON representation for the given RGB.
`static JsonValue`
JsonMapping.`toJson(RGB rgb, int alpha)`
Returns the JSON representation for the given RGB with an additional alpha (opacity) value.

## Uses of RGB in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as RGB
Modifier and Type
Field
Description
`RGB[]`
PaletteData.`colors`
the RGB values for an indexed palette, where the indices of the array correspond to pixel values
`final RGB`
RGBA.`rgb`
the RGB component of the RGBA
Methods in org.eclipse.swt.graphics that return RGB
Modifier and Type
Method
Description
`RGB`
Color.`getRGB()`
Returns an `RGB` representing the receiver.
`RGB`
PaletteData.`getRGB(int pixel)`
Returns an `RGB` corresponding to the given pixel value.
`RGB[]`
ImageData.`getRGBs()`
Returns an array of `RGB`s which comprise the indexed color table of the receiver, or null if the receiver has a direct color model.
`RGB[]`
PaletteData.`getRGBs()`
Returns all the RGB values in the receiver if it is an indexed palette, or null if it is a direct palette.
Methods in org.eclipse.swt.graphics with parameters of type RGB
Modifier and Type
Method
Description
`int`
PaletteData.`getPixel(RGB rgb)`
Returns the pixel value corresponding to the given `RGB`.
Constructors in org.eclipse.swt.graphics with parameters of type RGB
Modifier
Constructor
Description
``
`Color(Device device, RGB rgb)`
Constructs a new instance of this class given a device and an `RGB` describing the desired red, green and blue values.
``
`Color(Device device, RGB rgb, int alpha)`
Constructs a new instance of this class given a device, an `RGB` describing the desired red, green and blue values, alpha specifying the level of transparency.
``
`PaletteData(RGB... colors)`
Constructs a new indexed palette given an array of RGB values.

## Uses of RGB in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return RGB
Modifier and Type
Method
Description
`RGB`
ColorDialog.`getRGB()`
Returns the currently selected color in the receiver.
`RGB`
FontDialog.`getRGB()`
Returns an RGB describing the color that was selected in the dialog, or null if none is available.
`RGB`
ColorDialog.`open()`
Makes the receiver visible and brings it to the front of the display.
Methods in org.eclipse.swt.widgets with parameters of type RGB
Modifier and Type
Method
Description
`void`
ColorDialog.`setRGB(RGB rgb)`
Sets the receiver's selected color to be the argument.
`void`
FontDialog.`setRGB(RGB rgb)`
Sets the RGB describing the color to be selected by default in the dialog, or null to let the platform choose one.